Subject: Re: [PATCH 1/2] bluetooth: Use more current logging styles

From: Gustavo Padovan <[email-masked]>
Date: Thu, 16 Feb 2012 16:05:07 -0200

Hi Joe,

* Joe Perches <[email-masked]> [2012-02-16 08:43:51 -0800]:

> On Mon, 2012-02-13 at 18:02 -0800, Joe Perches wrote:
> > On Mon, 2012-02-13 at 19:56 -0200, Gustavo Padovan wrote:
> > > it is not really a good idea to change BT_INFO to
> > > bt_info and BT_ERR to bt_err. I understand that capital letters are not the
> > > standard here but such a change is painful for all Bluetooth developers and I
> > > don't wanna give more trouble to them.
> []
> > Standardization of use and style is a good thing.
> > What kind of trouble is a case conversion?
> > Out of tree modules?
> 
> I'm truly curious as to why you think a
> case conversion is painful and trouble.

Such a change will require rebase from all our developers and we already have
enough issues to solve, I don't wanna add one more here. Change what BT_*
stands for is ok, but there is no need to change the macros names. 

	Gustavo